# the app
spring.application.name=api

# PostgreSQL connection settings
spring.datasource.url=${DB_URL}
spring.datasource.username=${DB_USERNAME}
spring.datasource.password=${DB_PASSWORD}
spring.datasource.driver-class-name=${DB_DRIVER}

# HikariCP settings
spring.datasource.hikari.minimumIdle=5
spring.datasource.hikari.maximumPoolSize=20
spring.datasource.hikari.idleTimeout=30000
spring.datasource.hikari.maxLifetime=2000000
spring.datasource.hikari.connectionTimeout=30000
spring.datasource.hikari.poolName=HikariPoolBooks

# JPA settings
spring.jpa.properties.hibernate.dialect= org.hibernate.dialect.PostgreSQLDialect
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
spring.jpa.properties.hibernate.jdbc.batch_size=15
spring.jpa.properties.hibernate.order_inserts=true
spring.jpa.properties.hibernate.generate_statistics=true
spring.jpa.show-sql=true
spring.oracle.persistence.unit=postgresql

#JWT
jwt.secret=${JWT_SECRET}

# Log levels
logging.level.root=INFO
logging.level.org.springframework.web=DEBUG
logging.level.com.brooklyn=DEBUG

# Log to console
logging.pattern.console=%d{yyyy-MM-dd HH:mm:ss} - %msg%n

# Log to file
logging.file.name=logs/spring-boot-app.log
logging.file.path=logs
logging.pattern.file=%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n

# Flyway Configuration
flyway.enabled=true
flyway.locations=classpath:db/migration
flyway.baseline-on-migrate=true